VST 3 Interfaces: ProcessData Struct Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Public Member Functions | Public Attributes | List of all members
ProcessData Struct Reference

Any data needed in audio processing. More...

`#include <ivstaudioprocessor.h>`

Inheritance diagram for ProcessData:

## Public Member Functions
| ProcessData ()

## Public Attributes
int32 | processMode
| processing mode - value of ProcessModes More...
int32 | symbolicSampleSize
| sample size - value of SymbolicSampleSizes More...
int32 | numSamples
| number of samples to process More...
int32 | numInputs
| number of audio input busses More...
int32 | numOutputs
| number of audio output busses More...
AudioBusBuffers * | inputs
| buffers of input busses More...
AudioBusBuffers * | outputs
| buffers of output busses More...
IParameterChanges * | inputParameterChanges
| incoming parameter changes for this block More...
IParameterChanges * | outputParameterChanges
| outgoing parameter changes for this block (optional) More...
IEventList * | inputEvents
| incoming events for this block (optional) More...
IEventList * | outputEvents
| outgoing events for this block (optional) More...
ProcessContext * | processContext
| processing context (optional, but most welcome) More...

## Detailed Description

Any data needed in audio processing.

The host prepares AudioBusBuffers for each input/output bus, regardless of the bus activation state. Bus buffer indices always match with bus indices used in IComponent::getBusInfo of media type kAudio.

See also
  AudioBusBuffers, IParameterChanges, IEventList, ProcessContext, IProcessContextRequirements

## Constructor & Destructor Documentation

## ◆ ProcessData()

ProcessData | ( |  | ) |
| inline

## Member Data Documentation

## ◆ processMode

int32 processMode

processing mode - value of ProcessModes

## ◆ symbolicSampleSize

int32 symbolicSampleSize

sample size - value of SymbolicSampleSizes

## ◆ numSamples

int32 numSamples

number of samples to process

## ◆ numInputs

int32 numInputs

number of audio input busses

## ◆ numOutputs

int32 numOutputs

number of audio output busses

## ◆ inputs

AudioBusBuffers* inputs

buffers of input busses

## ◆ outputs

AudioBusBuffers* outputs

buffers of output busses

## ◆ inputParameterChanges

IParameterChanges* inputParameterChanges

incoming parameter changes for this block

## ◆ outputParameterChanges

IParameterChanges* outputParameterChanges

outgoing parameter changes for this block (optional)

## ◆ inputEvents

IEventList* inputEvents

incoming events for this block (optional)

## ◆ outputEvents

IEventList* outputEvents

outgoing events for this block (optional)

## ◆ processContext

ProcessContext* processContext

processing context (optional, but most welcome)

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.